## python-oslo.i18n 3.21.0

=== debian/changelog ===
python-oslo.i18n (3.21.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 22:56:26 +0200

python-oslo.i18n (3.21.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Py3.
  * Removed patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 19:11:59 +0200

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-hacking,
 python-mock,
 python-oslo.config (>= 1:5.2.0),
 python-oslotest (>= 1:3.2.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-testscenarios,
 python3-babel,
 python3-mock,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testscenarios,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n.git
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n
Architecture: all
Depends:
 python-babel,
 python-pbr (>= 2.0.0),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: Oslo Internationalization Utilities - Python 2.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 2.x module.

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-babel,
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.i18n.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_i18n\.tests.*'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	set -e ; if ! PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.i18n 3.23.1

=== debian/changelog ===
python-oslo.i18n (3.23.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 16:40:42 +0000

python-oslo.i18n (3.23.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:20 +0000

python-oslo.i18n (3.23.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:21:52 +0000

python-oslo.i18n (3.22.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:19:55 +0000

python-oslo.i18n (3.21.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-run-topleve-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:27:13 -0400

python-oslo.i18n (3.20.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 11:41:19 +0100

python-oslo.i18n (3.19.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:34 +0000

python-oslo.i18n (3.18.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 14:30:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.i18n
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,38 +15,38 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-babel,
- python-coverage,
- python-hacking,
- python-mock,
+ python-babel (>= 2.3.4),
+ python-coverage (>= 4.0),
+ python-hacking (>= 0.12.0),
+ python-mock (>= 2.0.0),
  python-oslo.config (>= 1:5.2.0),
  python-oslotest (>= 1:3.2.0),
- python-six,
- python-stestr (>= 2.0.0),
- python-testscenarios,
- python3-babel,
- python3-mock,
+ python-six (>= 1.10.0),
+ python-stestr,
+ python-testscenarios (>= 0.4),
+ python3-babel (>= 2.3.4),
+ python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six,
- python3-stestr (>= 2.0.0),
- python3-testscenarios,
+ python3-six (>= 1.10.0),
+ python3-stestr,
+ python3-testscenarios (>= 0.4),
  subunit,
  testrepository,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Homepage: https://github.com/openstack/oslo.i18n
 
 Package: python-oslo.i18n
 Architecture: all
 Depends:
- python-babel,
+ python-babel (>= 2.3.4),
  python-pbr (>= 2.0.0),
- python-six (>= 1.9.0),
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Description: Oslo Internationalization Utilities - Python 2.x
@@ -71,9 +72,9 @@
 Package: python3-oslo.i18n
 Architecture: all
 Depends:
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.9.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Oslo Internationalization Utilities - Python 3.x

## python-oslo.i18n 3.24.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.5,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.5;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.i18n (3.24.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 01:53:32 +0000

python-oslo.i18n (3.24.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:32:42 -0400

python-oslo.i18n (3.23.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Sep 2019 14:53:55 -0400

=== debian/control ===
--- 
+++ 
@@ -17,22 +17,17 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-hacking (>= 0.12.0),
- python-mock (>= 2.0.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslotest (>= 1:3.2.0),
- python-six (>= 1.10.0),
- python-stestr,
- python-testscenarios (>= 0.4),
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  subunit,
  testrepository,
@@ -40,21 +35,6 @@
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Homepage: https://github.com/openstack/oslo.i18n
-
-Package: python-oslo.i18n
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-pbr (>= 2.0.0),
- python-six (>= 1.10.0),
- ${misc:Depends},
- ${python:Depends},
-Description: Oslo Internationalization Utilities - Python 2.x
- The oslo.i18n library contain utilities for working with internationalization
- (i18n) features, especially translation for text strings in an application or
- library.
- .
- This package contains the Python 2.x module.
 
 Package: python-oslo.i18n-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'oslo_i18n\.tests.*'
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_clean:
@@ -20,7 +20,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	set -e ; if ! PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
+	set -e ; if ! python3 -m sphinx -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
 		cat /tmp/sphinx-err-* ; \
 		exit 1 ; \
 	fi
@@ -36,4 +36,3 @@
 override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
 override_dh_installcron override_dh_installdebconf:
 override_dh_installlogrotate override_dh_installgsettings:
-

## python-oslo.i18n 4.0.0

=== debian/changelog ===
python-oslo.i18n (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:07 -0400

python-oslo.i18n (3.25.1-0ubuntu1) focal; urgency=medium

  * New uptream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:38:55 +0000

python-oslo.i18n (3.25.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 09:58:08 -0500

python-oslo.i18n (3.24.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:18:24 +0200

python-oslo.i18n (3.24.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:20:59 +0200

python-oslo.i18n (3.23.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:41:33 +0200

python-oslo.i18n (3.23.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 3 support.
  * Removed versions in (build-)depends that are satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 15:22:07 +0100

## python-oslo.i18n 4.0.1

=== debian/changelog ===
python-oslo.i18n (4.0.1-0ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Apr 2020 08:47:26 +0000

python-oslo.i18n (4.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,32 +6,28 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-hacking (>= 1.1.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-stestr (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Homepage: https://github.com/openstack/oslo.i18n

## python-oslo.i18n 5.0.1

=== debian/changelog ===
python-oslo.i18n (5.0.1-2) unstable; urgency=medium

  * Uploading go unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:02:48 +0200

python-oslo.i18n (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:17:53 +0200

python-oslo.i18n (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 16:31:39 +0200

python-oslo.i18n (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:00:46 +0200

python-oslo.i18n (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:49:46 +0200

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslotest,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-testscenarios,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n.git
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.i18n.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'oslo_i18n\.tests.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	set -e ; if ! PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-oslo.i18n 5.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.i18n (5.1.0-3) unstable; urgency=medium

  * Blacklist test_translate_message_bad_translation() (Closes: #1026655).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:41:16 +0100

python-oslo.i18n (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:30:29 +0200

python-oslo.i18n (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 10:47:36 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-openstackdocstheme,
  python3-oslo.config,
  python3-oslotest,
- python3-six,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-testscenarios,
@@ -46,7 +45,6 @@
 Architecture: all
 Depends:
  python3-pbr,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Oslo Internationalization Utilities - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'oslo_i18n\.tests.*'
+	# Blacklisted test_message.MessageTestCase.test_translate_message_bad_translation
+	# See https://bugs.launchpad.net/oslo.i18n/+bug/2000437
+	pkgos-dh_auto_test --no-py2 'oslo_i18n\.tests\.(?!test_message\.MessageTestCase\.test_translate_message_bad_translation)'
 endif
 
 override_dh_sphinxdoc:

## python-oslo.i18n 6.0.0

=== debian/changelog ===
python-oslo.i18n (6.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/skip-py311-failure.patch: Skip py311 test until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:14:00 -0500

python-oslo.i18n (5.1.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:13:15 -0400

python-oslo.i18n (5.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:34:21 -0400

python-oslo.i18n (5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:39:16 -0400

## python-oslo.i18n 6.1.0

=== debian/changelog ===
python-oslo.i18n (6.1.0-0ubuntu2~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 12:58:15 +0000

python-oslo.i18n (6.1.0-0ubuntu2) mantic; urgency=medium

  * d/p/getdefaultlocale-is-deprecated.patch: Fix deprecated
    getdefaultlocale() call.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 13:45:03 -0400

python-oslo.i18n (6.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/p/fix-py311-unit-test.patch: Fix Python3.11 test failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 14:56:44 -0400

## python-oslo.i18n 6.2.0

=== debian/changelog ===
python-oslo.i18n (6.2.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/p/getdefaultlocale-is-deprecated.patch: Drop, included upstream.
  * d/rules: Align default locale to unit tests during execution.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jan 2024 17:21:21 +0000

## python-oslo.i18n 6.3.0

=== debian/changelog ===
python-oslo.i18n (6.3.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:17:08 +0000

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.i18n
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.i18n
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

## python-oslo.i18n 6.4.0

=== debian/changelog ===
python-oslo.i18n (6.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090568).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:55:55 +0100

python-oslo.i18n (6.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:51:51 +0200

python-oslo.i18n (6.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 15:39:55 +0200

python-oslo.i18n (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:33:00 +0200

python-oslo.i18n (6.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop testrepository build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 11:39:22 +0100

python-oslo.i18n (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:20:22 +0200

python-oslo.i18n (6.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:40:17 +0200

python-oslo.i18n (6.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046201).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 15:27:53 +0200

python-oslo.i18n (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:26:04 +0200

python-oslo.i18n (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:38:25 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.i18n/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.i18n 6.5.0

=== debian/changelog ===
python-oslo.i18n (6.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, no longer needed.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 12:01:00 +0000

python-oslo.i18n (6.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 13:56:40 +0100

## python-oslo.i18n 6.5.1

=== debian/changelog ===
python-oslo.i18n (6.5.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:20:12 +0100

python-oslo.i18n (6.5.1-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 14:59:28 +0100

python-oslo.i18n (6.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 14:16:03 +0100

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-testscenarios,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n.git
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -28,5 +31,5 @@
 		cat /tmp/sphinx-err-* ; \
 		exit 1 ; \
 	fi
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## python-oslo.i18n 6.5.1+git2025070815.fc51cd8

=== debian/changelog ===
python-oslo.i18n (6.5.1+git2025070815.fc51cd8-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 14:49:44 -0700

python-oslo.i18n (6.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:50:16 +0000

## python-oslo.i18n 6.6.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.i18n (6.6.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 15:17:44 -0700

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-hacking (>= 1.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.i18n
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.i18n
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_i18n

UPSTREAM_GIT := https://github.com/openstack/oslo.i18n.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	LC_ALL=en_US pkgos-dh_auto_test --no-py2 'oslo_i18n\.tests.*'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	set -e ; if ! PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.i18n/ oslo.i18n-(\d.*)\.tar\.gz

## python-oslo.i18n 6.7.1

=== debian/changelog ===
python-oslo.i18n (6.7.1-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 6.7.1
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 15 Jan 2026 10:19:37 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.i18n/ oslo[._]i18n-(\d.*)\.tar\.gz

## python-oslo.i18n 6.7.2

=== debian/changelog ===
python-oslo.i18n (6.7.2-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 14:29:51 +0100

python-oslo.i18n (6.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 17:05:20 +0100

python-oslo.i18n (6.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046201).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:32:51 +0100

python-oslo.i18n (6.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:43:33 +0200

python-oslo.i18n (6.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:04:00 +0200
